<?php
namespace Claromentis\Core\Ai\Events;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_7f628626dd1d55c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYXJyYX" . "k="), "_db6f0ba0791e9a6354" . "07659a9fe04e40" => base64_decode("aXNfb2Jq" . "ZWN0"));
use Claromentis\Core\Ai\Parts\PartInterface;
use Symfony\Component\EventDispatcher\GenericEvent;
use Webmozart\Assert\Assert;
class AiEvent extends GenericEvent
{
    
    
    
    
    
    public function __construct($_a7442cd7a4d3c557bf6b6b4b0d724559, array $arguments = [])
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1fc" . "0932ffd1d2c"]($_a7442cd7a4d3c557bf6b6b4b0d724559)) {
            Assert::allIsInstanceOf($_a7442cd7a4d3c557bf6b6b4b0d724559, PartInterface::class);
        } elseif ($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_db6f0ba0791e9a635407659a9fe0" . "4e40"]($_a7442cd7a4d3c557bf6b6b4b0d724559)) {
            Assert::isInstanceOf($_a7442cd7a4d3c557bf6b6b4b0d724559, PartInterface::class);
        } else {
            Assert::string($_a7442cd7a4d3c557bf6b6b4b0d724559);
        }
        parent::__construct($_a7442cd7a4d3c557bf6b6b4b0d724559, $arguments);
    }
    
    
    
    
    public function getPrompt()
    {
        return $this->getSubject();
    }
}